MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022568Community[OCCT] OCCT:Data Exchangepublic2011-06-02 21:262012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0022568: Declaring method as protected in XCAFApp_Application
DescriptionRLN contribution (fix215)
- Summary: Declaring methods as protected in XCAFApp_Application and
XCAFPrs_AISObject
- Detailed description: Declaring protected instead of private enables
subclassing these classes
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships
child of 0022825closedabv Integration of contributions by Roman Lygin to OCCT 6.5.2 

-  Notes
(0017577)
kgv (developer)
2011-06-15 13:50

SVN branch http://svn/svn/occt/branches/OCC22568_XCAFAppProtected [^] passed
review without remarks.
Branch is ready for testing.
(0017578)
ycy (tester)
2011-07-08 14:37
edited on: 2011-11-25 11:36

Dear BugMaster,
SVN branch (http://svn/svn/occt/branches/OCC22568_XCAFAppProtected [^]) was
testing, test results were compared with KAS:dev:products-651-opt

Regressions were not found

It is not necessary to create test case for this issue

See results in /KASDev/OCCTtests/KAS/dev/products-testing_05072011/lin
See reference results in
/QADisk/occttests/results/KAS/dev/products-651-opt_01062011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.html [^]

(0017579)
bugmaster (administrator)
2011-07-08 15:48

Fix has been integrated to occt repository

Date: 2011-07-08 13:46:02 +0400 (Fri, 08 Jul 2011)
New Revision: 8661

Modified:
   trunk/src/XCAFApp/XCAFApp_Application.cdl
Log:
OCC22568 Declaring method as protected in XCAFApp_Application
Developed by : RLN and KGV

- Related Changesets
occt: master 9ef0ce02
Timestamp: 2011-07-08 09:46:02
Author: RLN and KGV
Committer: bugmaster
Details ] Diff ]
OCC22568 Declaring method as protected in XCAFApp_Application
mod - src/XCAFApp/XCAFApp_Application.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-07-05 18:10 kgv CC => kgv
2011-07-08 15:46 bugmaster Status closed => assigned
2011-07-08 15:46 bugmaster Resolution suspended => @0@
2011-07-08 15:46 bugmaster Assigned To bugmaster => kgv
2011-07-08 15:47 bugmaster Status assigned => resolved
2011-07-08 15:47 bugmaster Status resolved => tested
2011-07-08 15:51 bugmaster Status tested => verified
2011-07-29 15:32 bugmaster Fixed in Version EMPTY =>
2011-07-29 15:32 bugmaster Target Version => 6.5.2
2011-07-29 15:32 bugmaster Description Updated View Revisions
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-09-07 17:22 mkv Test case number => Test case is not required
2011-11-25 11:35 szy Description Updated View Revisions
2011-11-25 11:36 szy Note Edited: 0017578 View Revisions
2011-12-05 11:24 abv Relationship added child of 0022825
2012-01-17 18:35 abv Assigned To kgv => Roman Lygin
2012-03-29 17:26 bugmaster Changeset attached => occt master 9ef0ce02


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker